Node Styles

## Typedefs

typedef enum yaml_scalar_style_e | yaml_scalar_style_t
| Scalar styles.
typedef enum yaml_sequence_style_e | yaml_sequence_style_t
| Sequence styles.
typedef enum yaml_mapping_style_e | yaml_mapping_style_t
| Mapping styles.

## Enumerations

enum | yaml_scalar_style_e { YAML_ANY_SCALAR_STYLE , YAML_PLAIN_SCALAR_STYLE , YAML_SINGLE_QUOTED_SCALAR_STYLE , YAML_DOUBLE_QUOTED_SCALAR_STYLE , YAML_LITERAL_SCALAR_STYLE , YAML_FOLDED_SCALAR_STYLE }
| Scalar styles. More...
enum | yaml_sequence_style_e { YAML_ANY_SEQUENCE_STYLE , YAML_BLOCK_SEQUENCE_STYLE , YAML_FLOW_SEQUENCE_STYLE }
| Sequence styles. More...
enum | yaml_mapping_style_e { YAML_ANY_MAPPING_STYLE , YAML_BLOCK_MAPPING_STYLE , YAML_FLOW_MAPPING_STYLE }
| Mapping styles. More...

## Detailed Description

## Enumeration Type Documentation

## yaml_scalar_style_e

enum yaml_scalar_style_e

Scalar styles.

Enumerator
YAML_ANY_SCALAR_STYLE | Let the emitter choose the style.
YAML_PLAIN_SCALAR_STYLE | The plain scalar style.
YAML_SINGLE_QUOTED_SCALAR_STYLE | The single-quoted scalar style.
YAML_DOUBLE_QUOTED_SCALAR_STYLE | The double-quoted scalar style.
YAML_LITERAL_SCALAR_STYLE | The literal scalar style.
YAML_FOLDED_SCALAR_STYLE | The folded scalar style.

## yaml_sequence_style_e

enum yaml_sequence_style_e

Sequence styles.

Enumerator
YAML_ANY_SEQUENCE_STYLE | Let the emitter choose the style.
YAML_BLOCK_SEQUENCE_STYLE | The block sequence style.
YAML_FLOW_SEQUENCE_STYLE | The flow sequence style.

## yaml_mapping_style_e

enum yaml_mapping_style_e

Mapping styles.

Enumerator
YAML_ANY_MAPPING_STYLE | Let the emitter choose the style.
YAML_BLOCK_MAPPING_STYLE | The block mapping style.
YAML_FLOW_MAPPING_STYLE | The flow mapping style.